Package: org.codehaus.groovy.tools.shell

## [Groovy] Class PatchedConsoleReader

- org.codehaus.groovy.tools.shell.PatchedConsoleReader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PatchedConsoleReader (InputStream inStream, OutputStream out)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `printColumns(Collection<? extends CharSequence> items)` copied from jline2.0 and modified to invoke stripAnsi() for length calculations Output the specified Collection in proper columns.

- - ### Constructor Detail

    - #### PatchedConsoleReader(InputStream inStream, OutputStream out)

  - ### Method Detail

    - #### void printColumns(Collection<? extends CharSequence> items)

      copied from jline2.0 and modified to invoke stripAnsi() for length calculations Output the specified Collection in proper columns. See https://github.com/jline/jline2/issues/132